Page MenuHomePhabricator

Fix MediaWiki deprecated calls in Wikimedia production, 2017-04-13
Closed, ResolvedPublic

Description

I've noticed that we have a tons of INFO messages in Kibana for deprecated calls (~14.5M/24h, ~10k/min). Most of them were deprecated in MW 1.29 but there are older too, up to MW 1.22.

This aim to be the parent task, I'm reporting here below the list gathered from the last 24h. I guess that one task each will be the easiest way to fix them.

Logged messageCount (last 24h)
Use of ChangesListSpecialPageFilters hook (used in WikimediaEventsHooks::onChangesListSpecialPageFilters) was deprecated in MediaWiki 1.29. [Called from ChangesListSpecialPage::getCustomFilters in /srv/mediawiki/php-1.29.0-wmf.19/includes/specialpage/Chan4584461
Use of EditPageBeforeEditChecks hook (used in \Wikibase\ClientHooks::onEditAction) was deprecated in MediaWiki 1.29. [Called from EditPage::getCheckboxes in /srv/mediawiki/php-1.29.0-wmf.19/includes/EditPage.php at line 4118]3562400
Use of ChangesListSpecialPageFilters hook (used in FlaggedRevsUIHooks::addHideReviewedFilter) was deprecated in MediaWiki 1.29. [Called from ChangesListSpecialPage::getCustomFilters in /srv/mediawiki/php-1.29.0-wmf.19/includes/specialpage/ChangesListSpeci2465062
Use of SpecialRecentChangesQuery hook (used in FlaggedRevsUIHooks::modifyRecentChangesQuery) was deprecated in MediaWiki 1.23. [Called from SpecialRecentChanges::runMainQueryHook in /srv/mediawiki/php-1.29.0-wmf.19/includes/specials/SpecialRecentchanges.p1973682
Use of ChangesListSpecialPageFilters hook (used in WikimediaEventsHooks::onChangesListSpecialPageFilters) was deprecated in MediaWiki 1.29. [Called from ChangesListSpecialPage::getCustomFilters in /srv/mediawiki/php-1.29.0-wmf.20/includes/specialpage/Chan1033244
Use of EditPageBeforeEditChecks hook (used in \Wikibase\ClientHooks::onEditAction) was deprecated in MediaWiki 1.29. [Called from EditPage::getCheckboxes in /srv/mediawiki/php-1.29.0-wmf.20/includes/EditPage.php at line 4118]421124
Use of EditPageBeforeEditChecks hook (used in LqtHooks::editCheckBoxes) was deprecated in MediaWiki 1.29. [Called from EditPage::getCheckboxes in /srv/mediawiki/php-1.29.0-wmf.20/includes/EditPage.php at line 4118]155766
Use of SpecialWatchlistQuery hook (used in FlaggedRevsUIHooks::modifyChangesListQuery) was deprecated in MediaWiki 1.23. [Called from SpecialWatchlist::runMainQueryHook in /srv/mediawiki/php-1.29.0-wmf.19/includes/specials/SpecialWatchlist.php at line 371137717
Use of ChangesListSpecialPageFilters hook (used in FlaggedRevsUIHooks::addHideReviewedFilter) was deprecated in MediaWiki 1.29. [Called from ChangesListSpecialPage::getCustomFilters in /srv/mediawiki/php-1.29.0-wmf.20/includes/specialpage/ChangesListSpeci88662
Use of SpecialRecentChangesQuery hook (used in FlaggedRevsUIHooks::modifyRecentChangesQuery) was deprecated in MediaWiki 1.23. [Called from SpecialRecentChanges::runMainQueryHook in /srv/mediawiki/php-1.29.0-wmf.20/includes/specials/SpecialRecentchanges.p82742
Use of wfSetupSession was deprecated in MediaWiki 1.27. [Called from CollectionSession::startSession in /srv/mediawiki/php-1.29.0-wmf.19/extensions/Collection/Collection.session.php at line 38]66857
Use of EditPageBeforeEditChecks hook (used in LqtHooks::editCheckBoxes) was deprecated in MediaWiki 1.29. [Called from EditPage::getCheckboxes in /srv/mediawiki/php-1.29.0-wmf.19/includes/EditPage.php at line 4118]33255
Use of SyntaxHighlight_GeSHi::prepare is deprecated. [Called from ScribuntoContent::fillParserOutput in /srv/mediawiki/php-1.29.0-wmf.19/extensions/Scribunto/common/ScribuntoContent.php at line 128]13603
Use of SyntaxHighlight_GeSHi::buildHeadItem is deprecated. [Called from ScribuntoContent::fillParserOutput in /srv/mediawiki/php-1.29.0-wmf.19/extensions/Scribunto/common/ScribuntoContent.php at line 141]13599
Use of wfSetupSession was deprecated in MediaWiki 1.27. [Called from CollectionSession::startSession in /srv/mediawiki/php-1.29.0-wmf.20/extensions/Collection/Collection.session.php at line 38]9372
Use of User::getGroupName was deprecated in MediaWiki 1.29. [Called from Closure$SpecialCentralAuth::getInfoFields in /srv/mediawiki/php-1.29.0-wmf.19/extensions/CentralAuth/includes/specials/SpecialCentralAuth.php at line 350]7041
Use of User::getGroupName was deprecated in MediaWiki 1.29. [Called from Closure$SpecialCentralAuth::getInfoFields in /srv/mediawiki/php-1.29.0-wmf.20/extensions/CentralAuth/includes/specials/SpecialCentralAuth.php at line 350]4112
Use of ExtractThumbParameters was deprecated in MediaWiki 1.22. [Called from wfStreamThumb in /srv/mediawiki/php-1.29.0-wmf.20/thumb.php at line 175]4048
Use of Revision::getRawUser was deprecated in MediaWiki 1.25. [Called from FlaggedRevsHooks::incrementReverts in /srv/mediawiki/php-1.29.0-wmf.19/extensions/FlaggedRevs/backend/FlaggedRevs.hooks.php at line 702]2911
Use of ExtractThumbParameters was deprecated in MediaWiki 1.22. [Called from wfStreamThumb in /srv/mediawiki/php-1.29.0-wmf.19/thumb.php at line 175]2669
Use of User::getGroupName was deprecated in MediaWiki 1.29. [Called from GlobalUsersPager::getAllGroups in /srv/mediawiki/php-1.29.0-wmf.20/extensions/CentralAuth/includes/specials/SpecialGlobalUsers.php at line 275]1993
Use of User::getGroupName was deprecated in MediaWiki 1.29. [Called from GlobalUsersPager::getAllGroups in /srv/mediawiki/php-1.29.0-wmf.19/extensions/CentralAuth/includes/specials/SpecialGlobalUsers.php at line 275]1600
Use of Revision::getRawUserText was deprecated in MediaWiki 1.25. [Called from FlaggablePageView::addToDiffView in /srv/mediawiki/php-1.29.0-wmf.19/extensions/FlaggedRevs/frontend/FlaggablePageView.php at line 1498]1127
Use of wfSetupSession was deprecated in MediaWiki 1.27. [Called from AbuseFilter::executeFilterActions in /srv/mediawiki/php-1.29.0-wmf.19/extensions/AbuseFilter/includes/AbuseFilter.class.php at line 796]1114
Use of User::getGroupMember was deprecated in MediaWiki 1.29. [Called from SpecialGlobalGroupPermissions::buildGroupView in /srv/mediawiki/php-1.29.0-wmf.19/extensions/CentralAuth/includes/specials/SpecialGlobalGroupPermissions.php at line 249]686
Use of User::getGroupName was deprecated in MediaWiki 1.29. [Called from SpecialGlobalGroupPermissions::buildGroupView in /srv/mediawiki/php-1.29.0-wmf.19/extensions/CentralAuth/includes/specials/SpecialGlobalGroupPermissions.php at line 248]686
Use of User::getGroupMember was deprecated in MediaWiki 1.29. [Called from GlobalUsersPager::getUserGroups in /srv/mediawiki/php-1.29.0-wmf.19/extensions/CentralAuth/includes/specials/SpecialGlobalUsers.php at line 259]664
Use of User::makeGroupLinkWiki was deprecated in MediaWiki 1.29. [Called from GlobalUsersPager::getUserGroups in /srv/mediawiki/php-1.29.0-wmf.19/extensions/CentralAuth/includes/specials/SpecialGlobalUsers.php at line 260]663
Use of User::getGroupMember was deprecated in MediaWiki 1.29. [Called from GlobalUsersPager::getUserGroups in /srv/mediawiki/php-1.29.0-wmf.20/extensions/CentralAuth/includes/specials/SpecialGlobalUsers.php at line 259]539
Use of User::makeGroupLinkWiki was deprecated in MediaWiki 1.29. [Called from GlobalUsersPager::getUserGroups in /srv/mediawiki/php-1.29.0-wmf.20/extensions/CentralAuth/includes/specials/SpecialGlobalUsers.php at line 260]539
Use of User::makeGroupLinkWiki was deprecated in MediaWiki 1.29. [Called from SpecialGlobalGroupPermissions::getGlobalGroupsTable in /srv/mediawiki/php-1.29.0-wmf.20/extensions/CentralAuth/includes/specials/SpecialGlobalGroupPermissions.php at line 133]521
Use of Revision::getRawUser was deprecated in MediaWiki 1.25. [Called from RevisionReviewForm::doSubmit in /srv/mediawiki/php-1.29.0-wmf.19/extensions/FlaggedRevs/business/RevisionReviewForm.php at line 384]509
Use of User::getGroupMember was deprecated in MediaWiki 1.29. [Called from SpecialGlobalGroupPermissions::buildGroupView in /srv/mediawiki/php-1.29.0-wmf.20/extensions/CentralAuth/includes/specials/SpecialGlobalGroupPermissions.php at line 249]491
Use of User::getGroupName was deprecated in MediaWiki 1.29. [Called from SpecialGlobalGroupPermissions::buildGroupView in /srv/mediawiki/php-1.29.0-wmf.20/extensions/CentralAuth/includes/specials/SpecialGlobalGroupPermissions.php at line 248]491
Use of SpecialWatchlistQuery hook (used in FlaggedRevsUIHooks::modifyChangesListQuery) was deprecated in MediaWiki 1.23. [Called from SpecialWatchlist::runMainQueryHook in /srv/mediawiki/php-1.29.0-wmf.20/includes/specials/SpecialWatchlist.php at line 371389
Use of User::makeGroupLinkWiki was deprecated in MediaWiki 1.29. [Called from SpecialGlobalGroupPermissions::getGlobalGroupsTable in /srv/mediawiki/php-1.29.0-wmf.19/extensions/CentralAuth/includes/specials/SpecialGlobalGroupPermissions.php at line 133]358
Use of wfSetupSession was deprecated in MediaWiki 1.27. [Called from AbuseFilter::executeFilterActions in /srv/mediawiki/php-1.29.0-wmf.20/extensions/AbuseFilter/includes/AbuseFilter.class.php at line 796]117

Follow-up: T181834: Fix MediaWiki deprecated calls in Wikimedia production, 2017-12-01

Related Objects

StatusAssignedTask
ResolvedJdforrester-WMF
DuplicateNone
ResolvedReedy
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
Resolvedpmiazga
ResolvedReedy
ResolvedCCicalese_WMF
Resolvedmatmarex
ResolvedJdforrester-WMF
Resolvedmatmarex
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF

Event Timeline

Volans created this task.Apr 13 2017, 1:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2017, 1:20 PM
Jdforrester-WMF renamed this task from MediaWiki deprecated calls to Fix MediaWiki deprecated calls in Wikimedia production, 2017-04-13.Apr 13 2017, 3:41 PM
Jdforrester-WMF triaged this task as High priority.

Change 348091 had a related patch set uploaded (by Reedy):
[mediawiki/extensions/CentralAuth@master] Fix various User related deprecated function calls

https://gerrit.wikimedia.org/r/348091

Update/triage based on numbers:

  • ChangesListSpecialPageFilters
    • WikimediaEvents (T162879) – Fixed.
    • FlaggedRevs (T162902) – Fixed.
  • EditPageBeforeEditChecks
  • Revision::getRawUser
    • FlaggedRevs (T162906) – Fixed.
  • Revision::getRawUserText
    • FlaggedRevs (T162907) – Fixed.
  • SpecialRecentChangesQuery
    • FlaggedRevs (T162903) – Fixed.
  • SpecialWatchlistQuery
    • FlaggedRevs (T162904) – Fixed.
  • SyntaxHighlight_GeSHi::prepare & SyntaxHighlight_GeSHi::buildHeadItem
    • Scribunto (T109873) – Needs a fix writing.
  • wfSetupSession
    • AbuseFilter (T162909) – Needs a fix writing.
    • Collection (T162910) – Needs a fix writing.
  • User::getGroupMember & User::getGroupName & User::makeGroupLinkWiki
    • CentralAuth (T162911) – Fixed.
  • ExtractThumbParameters
    • PagedTiffHandler (T162962) – Fixed in master only.

Change 348091 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Fix various User related deprecated function calls

https://gerrit.wikimedia.org/r/348091

Jdforrester-WMF added a comment.EditedMay 3 2017, 1:06 AM

Status update as of 2017-05-02: We're now down to ~ 120k/24h / <100/min; will try to get the three remaining tasks fixed laster this week, and then do another one of these in a couple of weeks, after it's all deployed.

demon renamed this task from Fix MediaWiki deprecated calls in Wikimedia production, 2017-04-13 to Fix MediaWiki deprecated calls in Wikimedia production.Dec 1 2017, 6:34 PM